# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name terminfo

Name:           ghc-%{pkg_name}
Version:        0.3.2.5
Release:        4%{?dist}
Summary:        Haskell bindings to the terminfo library

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ncurses-devel%{?_isa}

%description
This library provides an interface to the terminfo database
(via bindings to the curses library).  Terminfo allows POSIX systems to
interact with a variety of terminals using a standard set of capabilities.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}
Requires:       ncurses-devel%{?_isa}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# workaround libdir/libncursesw.so linker script breaking linking library for ghc < 7.2
case %ghc_version in
     6.* | 7.0.*) sed -i -e "s/extra-libraries: ncursesw/extra-libraries: tinfo/" -e "s!ld-options:!ld-options: /%{_lib}/libncursesw.so.5!" $RPM_BUILD_ROOT%{_libdir}/ghc-%{ghc_version}/package.conf.d/%{pkg_name}-%{version}.conf ;;
esac


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 Jens Petersen <petersen@redhat.com> - 0.3.2.5-3
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jens Petersen <petersen@redhat.com> - 0.3.2.5-1
- update to 0.3.2.5
- does not depend on extensible-exceptions now

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.3.2.3-3
- change prof BRs to devel

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.3.2.3-2
- add license to ghc_files
- no longer need the linker script workaround

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.3.2.3-1
- update to 0.3.2.3 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.2.2-1.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.2.2-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.3.2.2-1.1
- rebuild with new gmp

* Wed Aug 17 2011 Jens Petersen <petersen@redhat.com> - 0.3.2.2-1
- update to 0.3.2.2

* Mon Aug  8 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-1
- update to 0.3.2

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.3.1.3-7
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.3.1.3-6
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.3.1.3-4
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.3.1.3-3
- rebuild

* Wed Sep 29 2010 jkeating - 0.3.1.3-2
- Rebuilt for gcc bug 634757

* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.3.1.3-1
- update to 0.3.1.3

* Sun Aug  1 2010 Jens Petersen <petersen@redhat.com> - 0.3.1.2-1
- depends on ncurses
- BSD license
- add ncurses linker script workaround hack to .conf

* Sun Aug  1 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.1.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
